<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy TravelInfo</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_travel_info.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-methods">Metody prywatne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_travel_info-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy TravelInfo</div></div>
</div><!--header-->
<div class="contents">

<p>Wyświetla informacje o podróży robota.  
 <a href="class_travel_info.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla TravelInfo</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info__inherit__graph.png" border="0" usemap="#a_travel_info_inherit__map" alt="Inheritance graph"/></div>
<map name="a_travel_info_inherit__map" id="a_travel_info_inherit__map">
<area shape="rect" title="Wyświetla informacje o podróży robota." alt="" coords="19,152,99,177"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="61,118,61,152,56,152,56,118"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla TravelInfo:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info__coll__graph.png" border="0" usemap="#a_travel_info_coll__map" alt="Collaboration graph"/></div>
<map name="a_travel_info_coll__map" id="a_travel_info_coll__map">
<area shape="rect" title="Wyświetla informacje o podróży robota." alt="" coords="19,152,99,177"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="61,118,61,152,56,152,56,118"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a5e690c384afedf00affae1abdb911e40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40">TravelInfo</a> (const char *widget_title, QWidget *parent=nullptr)</td></tr>
<tr class="memdesc:a5e690c384afedf00affae1abdb911e40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_travel_info.html" title="Wyświetla informacje o podróży robota.">TravelInfo</a>.  <br /></td></tr>
<tr class="separator:a5e690c384afedf00affae1abdb911e40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7372d7b6b3cab2310b3e6482df168041"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">writeLine</a> (QString line)</td></tr>
<tr class="memdesc:a7372d7b6b3cab2310b3e6482df168041"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wpisuje linijkę do edytora.  <br /></td></tr>
<tr class="separator:a7372d7b6b3cab2310b3e6482df168041"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a7cf7c55842a5ca903c4cfdecc98921"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">updateDistance</a> (double distance)</td></tr>
<tr class="memdesc:a3a7cf7c55842a5ca903c4cfdecc98921"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konweruje przekazany dystans na metry i wyświetla w okienku.  <br /></td></tr>
<tr class="separator:a3a7cf7c55842a5ca903c4cfdecc98921"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65eb7f9f08f585df6654f05238c9a526"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526">updateCoords</a> ()</td></tr>
<tr class="memdesc:a65eb7f9f08f585df6654f05238c9a526"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje współrzędne robota w okienku.  <br /></td></tr>
<tr class="separator:a65eb7f9f08f585df6654f05238c9a526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99fc19ffabbf99e2fd40d649a762e791"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">setMaxWidth</a> (int limit=100)</td></tr>
<tr class="memdesc:a99fc19ffabbf99e2fd40d649a762e791"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia maksymalną szerokość edytora.  <br /></td></tr>
<tr class="separator:a99fc19ffabbf99e2fd40d649a762e791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aded556ed7e83a46c97f60e2593299ded"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">countCoords</a> (int left_opto, int right_opto)</td></tr>
<tr class="memdesc:aded556ed7e83a46c97f60e2593299ded"><td class="mdescLeft">&#160;</td><td class="mdescRight">Liczy współrzędne robota na planszy.  <br /></td></tr>
<tr class="separator:aded556ed7e83a46c97f60e2593299ded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a> ()</td></tr>
<tr class="memdesc:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor domyślny.  <br /></td></tr>
<tr class="separator:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a257d943892d078be53e1ca628405c98b">FramedWidget</a> (const char *widget_title, QWidget *parent)</td></tr>
<tr class="memdesc:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.  <br /></td></tr>
<tr class="separator:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a> (QString new_title)</td></tr>
<tr class="memdesc:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienia nazwę widgetu / tłumaczy nazwę  <br /></td></tr>
<tr class="separator:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">~FramedWidget</a> ()</td></tr>
<tr class="memdesc:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wirtualny destruktor.  <br /></td></tr>
<tr class="separator:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Metody prywatne</h2></td></tr>
<tr class="memitem:a2d74900881683d93e726b64fe1c9a710"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710">setHLayout</a> ()</td></tr>
<tr class="memdesc:a2d74900881683d93e726b64fe1c9a710"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia widgety w poziomie.  <br /></td></tr>
<tr class="separator:a2d74900881683d93e726b64fe1c9a710"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb606d890020bd082c842de4963f4ba4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">setVLayout</a> () override</td></tr>
<tr class="memdesc:abb606d890020bd082c842de4963f4ba4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia widgety pochodne w pionie.  <br /></td></tr>
<tr class="separator:abb606d890020bd082c842de4963f4ba4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af594443e14524f51ec5d8d83adbac2fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">setStoredWidget</a> () override</td></tr>
<tr class="memdesc:af594443e14524f51ec5d8d83adbac2fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje widgety pochodne.  <br /></td></tr>
<tr class="separator:af594443e14524f51ec5d8d83adbac2fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a8dbb9fb85faaff85a6a4a648cdeed0b8"><td class="memItemLeft" align="right" valign="top">QLabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a8dbb9fb85faaff85a6a4a648cdeed0b8">unit</a></td></tr>
<tr class="memdesc:a8dbb9fb85faaff85a6a4a648cdeed0b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Jednostka wyświetlanych danych (milimetry)  <br /></td></tr>
<tr class="separator:a8dbb9fb85faaff85a6a4a648cdeed0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d91725f7cbe294faa1b042872c4107"><td class="memItemLeft" align="right" valign="top">QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a></td></tr>
<tr class="memdesc:ad7d91725f7cbe294faa1b042872c4107"><td class="mdescLeft">&#160;</td><td class="mdescRight">Miejsce na wpisywaną informację  <br /></td></tr>
<tr class="separator:ad7d91725f7cbe294faa1b042872c4107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35c206edd5b89c207deb0f4e6ddb5203"><td class="memItemLeft" align="right" valign="top">QHBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">hlayout</a></td></tr>
<tr class="memdesc:a35c206edd5b89c207deb0f4e6ddb5203"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca horyzontalny.  <br /></td></tr>
<tr class="separator:a35c206edd5b89c207deb0f4e6ddb5203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a708169e783d11f58c26c608e07864743"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a708169e783d11f58c26c608e07864743">coords</a> [2] = {0, 0}</td></tr>
<tr class="memdesc:a708169e783d11f58c26c608e07864743"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tablica z koordynatami robota.  <br /></td></tr>
<tr class="separator:a708169e783d11f58c26c608e07864743"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76cbff64d22110a5996cccfd1ed4ba1e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a> [2]</td></tr>
<tr class="memdesc:a76cbff64d22110a5996cccfd1ed4ba1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tablica z poprzednimi odczytami z transoptorów odbiciowych.  <br /></td></tr>
<tr class="separator:a76cbff64d22110a5996cccfd1ed4ba1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_attribs_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Atrybuty publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QLabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a></td></tr>
<tr class="memdesc:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tytuł widgetu.  <br /></td></tr>
<tr class="separator:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QVBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a></td></tr>
<tr class="memdesc:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca geometrii wertykalnej.  <br /></td></tr>
<tr class="separator:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2985a3761269e6e076651131bc1fb6"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">setVLayout</a> ()=0</td></tr>
<tr class="memdesc:aef2985a3761269e6e076651131bc1fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia przechowywane widgety w pionie.  <br /></td></tr>
<tr class="separator:aef2985a3761269e6e076651131bc1fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">setStoredWidget</a> ()=0</td></tr>
<tr class="memdesc:abcbce7540975ea1dee22fb0b8bb8109e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nadaje odpowiednie parametry widgetowi.  <br /></td></tr>
<tr class="separator:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Klasa ma za zadanie wyświetlać informacje o przebytej drodze oraz o aktualnych współrzędnych robota, jednakże dzięki zastosowaniu obiektów QLabel oraz QLineEdit, może być wykorzystana do wyświetlenia różnego typu informacji. </p>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8hpp_source.html#l00028">28</a> pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a5e690c384afedf00affae1abdb911e40" name="a5e690c384afedf00affae1abdb911e40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e690c384afedf00affae1abdb911e40">&#9670;&#160;</a></span>TravelInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TravelInfo::TravelInfo </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>widget_title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wymusza wywołanie konstruktora klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>, przekazując mu tytuł widgetu oraz wskaźnik na widget będący rodzicem. Tworzy dynamicznie przechowywane atrybuty i wywołuje metody, które przygotowywują widgety do wyświetlenia w oknie głównym.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">widget_title</td><td>- tytuł widgetu </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na rodzica </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8cpp_source.html#l00019">19</a> pliku <a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_a5e690c384afedf00affae1abdb911e40_cgraph.png" border="0" usemap="#aclass_travel_info_a5e690c384afedf00affae1abdb911e40_cgraph" alt=""/></div>
<map name="aclass_travel_info_a5e690c384afedf00affae1abdb911e40_cgraph" id="aclass_travel_info_a5e690c384afedf00affae1abdb911e40_cgraph">
<area shape="rect" title="Inicjalizuje obiekt klasy TravelInfo." alt="" coords="5,80,149,105"/>
<area shape="rect" href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710" title="Ustawia widgety w poziomie." alt="" coords="212,5,365,31"/>
<area shape="poly" title=" " alt="" coords="105,77,196,39,221,32,223,37,198,45,107,82"/>
<area shape="rect" href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791" title="Ustawia maksymalną szerokość edytora." alt="" coords="208,55,369,80"/>
<area shape="poly" title=" " alt="" coords="150,81,194,76,195,81,150,87"/>
<area shape="rect" href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe" title="Inicjalizuje widgety pochodne." alt="" coords="197,104,380,129"/>
<area shape="poly" title=" " alt="" coords="150,98,184,102,184,107,150,104"/>
<area shape="rect" href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4" title="Ustawia widgety pochodne w pionie." alt="" coords="213,153,365,179"/>
<area shape="poly" title=" " alt="" coords="109,103,198,138,226,147,225,152,196,143,107,108"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a2d74900881683d93e726b64fe1c9a710" name="a2d74900881683d93e726b64fe1c9a710"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d74900881683d93e726b64fe1c9a710">&#9670;&#160;</a></span>setHLayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TravelInfo::setHLayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Ustawia w poziomie edytor i jednostkę wyświetlanych danych </p>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8cpp_source.html#l00054">54</a> pliku <a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_a2d74900881683d93e726b64fe1c9a710_icgraph.png" border="0" usemap="#aclass_travel_info_a2d74900881683d93e726b64fe1c9a710_icgraph" alt=""/></div>
<map name="aclass_travel_info_a2d74900881683d93e726b64fe1c9a710_icgraph" id="aclass_travel_info_a2d74900881683d93e726b64fe1c9a710_icgraph">
<area shape="rect" title="Ustawia widgety w poziomie." alt="" coords="197,5,351,31"/>
<area shape="rect" href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40" title="Inicjalizuje obiekt klasy TravelInfo." alt="" coords="5,5,149,31"/>
<area shape="poly" title=" " alt="" coords="183,21,150,21,150,15,183,15"/>
</map>
</div>

</div>
</div>
<a id="abb606d890020bd082c842de4963f4ba4" name="abb606d890020bd082c842de4963f4ba4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb606d890020bd082c842de4963f4ba4">&#9670;&#160;</a></span>setVLayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TravelInfo::setVLayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.</p>
<p>Idąc od góry, ustawiany jest tytuł a potem zarządca horyzontalny przechowywujący edytor i jednostkę. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8cpp_source.html#l00065">65</a> pliku <a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_abb606d890020bd082c842de4963f4ba4_icgraph.png" border="0" usemap="#aclass_travel_info_abb606d890020bd082c842de4963f4ba4_icgraph" alt=""/></div>
<map name="aclass_travel_info_abb606d890020bd082c842de4963f4ba4_icgraph" id="aclass_travel_info_abb606d890020bd082c842de4963f4ba4_icgraph">
<area shape="rect" title="Ustawia widgety pochodne w pionie." alt="" coords="197,5,349,31"/>
<area shape="rect" href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40" title="Inicjalizuje obiekt klasy TravelInfo." alt="" coords="5,5,149,31"/>
<area shape="poly" title=" " alt="" coords="184,21,149,21,149,15,184,15"/>
</map>
</div>

</div>
</div>
<a id="af594443e14524f51ec5d8d83adbac2fe" name="af594443e14524f51ec5d8d83adbac2fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af594443e14524f51ec5d8d83adbac2fe">&#9670;&#160;</a></span>setStoredWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TravelInfo::setStoredWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>. Nadaje przechowywanym widgetom odpowiednie ustawienia, wygląd, zależnie od danego widgetu.</p>
<p>Konfiguruje atrybut info, nadając mu odpowiedni kolor, zachowanie geometrii oraz tryb ReadOnly. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8cpp_source.html#l00039">39</a> pliku <a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_af594443e14524f51ec5d8d83adbac2fe_icgraph.png" border="0" usemap="#aclass_travel_info_af594443e14524f51ec5d8d83adbac2fe_icgraph" alt=""/></div>
<map name="aclass_travel_info_af594443e14524f51ec5d8d83adbac2fe_icgraph" id="aclass_travel_info_af594443e14524f51ec5d8d83adbac2fe_icgraph">
<area shape="rect" title="Inicjalizuje widgety pochodne." alt="" coords="197,5,380,31"/>
<area shape="rect" href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40" title="Inicjalizuje obiekt klasy TravelInfo." alt="" coords="5,5,149,31"/>
<area shape="poly" title=" " alt="" coords="184,21,150,21,150,15,184,15"/>
</map>
</div>

</div>
</div>
<a id="a7372d7b6b3cab2310b3e6482df168041" name="a7372d7b6b3cab2310b3e6482df168041"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7372d7b6b3cab2310b3e6482df168041">&#9670;&#160;</a></span>writeLine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TravelInfo::writeLine </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>line</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">line</td><td>- linijka tekstu umieszczana w edytorze </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8cpp_source.html#l00105">105</a> pliku <a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_a7372d7b6b3cab2310b3e6482df168041_icgraph.png" border="0" usemap="#aclass_travel_info_a7372d7b6b3cab2310b3e6482df168041_icgraph" alt=""/></div>
<map name="aclass_travel_info_a7372d7b6b3cab2310b3e6482df168041_icgraph" id="aclass_travel_info_a7372d7b6b3cab2310b3e6482df168041_icgraph">
<area shape="rect" title="Wpisuje linijkę do edytora." alt="" coords="229,5,368,31"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a3a7cf7c55842a5ca903c4cfdecc98921" name="a3a7cf7c55842a5ca903c4cfdecc98921"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a7cf7c55842a5ca903c4cfdecc98921">&#9670;&#160;</a></span>updateDistance()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TravelInfo::updateDistance </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>distance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Funkcja konwertuje odległość z [cm] na [m] i wpisuje dane do edytora.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">distance</td><td>- odległość przebyta przez robota w [cm] </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8cpp_source.html#l00118">118</a> pliku <a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_a3a7cf7c55842a5ca903c4cfdecc98921_icgraph.png" border="0" usemap="#aclass_travel_info_a3a7cf7c55842a5ca903c4cfdecc98921_icgraph" alt=""/></div>
<map name="aclass_travel_info_a3a7cf7c55842a5ca903c4cfdecc98921_icgraph" id="aclass_travel_info_a3a7cf7c55842a5ca903c4cfdecc98921_icgraph">
<area shape="rect" title="Konweruje przekazany dystans na metry i wyświetla w okienku." alt="" coords="464,5,640,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a65eb7f9f08f585df6654f05238c9a526" name="a65eb7f9f08f585df6654f05238c9a526"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65eb7f9f08f585df6654f05238c9a526">&#9670;&#160;</a></span>updateCoords()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TravelInfo::updateCoords </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przekształca koordynaty z [cm] do [m] i wyświetla w edytorze. </p>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8cpp_source.html#l00132">132</a> pliku <a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_a65eb7f9f08f585df6654f05238c9a526_icgraph.png" border="0" usemap="#aclass_travel_info_a65eb7f9f08f585df6654f05238c9a526_icgraph" alt=""/></div>
<map name="aclass_travel_info_a65eb7f9f08f585df6654f05238c9a526_icgraph" id="aclass_travel_info_a65eb7f9f08f585df6654f05238c9a526_icgraph">
<area shape="rect" title="Aktualizuje współrzędne robota w okienku." alt="" coords="671,5,837,31"/>
<area shape="rect" href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded" title="Liczy współrzędne robota na planszy." alt="" coords="464,5,623,31"/>
<area shape="poly" title=" " alt="" coords="657,21,623,21,623,15,657,15"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a99fc19ffabbf99e2fd40d649a762e791" name="a99fc19ffabbf99e2fd40d649a762e791"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99fc19ffabbf99e2fd40d649a762e791">&#9670;&#160;</a></span>setMaxWidth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TravelInfo::setMaxWidth </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>limit</em> = <code>100</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">limit</td><td>- maskymalna szerokość </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8hpp_source.html#l00096">96</a> pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_a99fc19ffabbf99e2fd40d649a762e791_icgraph.png" border="0" usemap="#aclass_travel_info_a99fc19ffabbf99e2fd40d649a762e791_icgraph" alt=""/></div>
<map name="aclass_travel_info_a99fc19ffabbf99e2fd40d649a762e791_icgraph" id="aclass_travel_info_a99fc19ffabbf99e2fd40d649a762e791_icgraph">
<area shape="rect" title="Ustawia maksymalną szerokość edytora." alt="" coords="229,31,391,56"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="215,35,181,31,182,26,216,30"/>
<area shape="rect" href="class_travel_info.html#a5e690c384afedf00affae1abdb911e40" title="Inicjalizuje obiekt klasy TravelInfo." alt="" coords="21,55,165,80"/>
<area shape="poly" title=" " alt="" coords="216,56,166,62,165,57,215,51"/>
</map>
</div>

</div>
</div>
<a id="aded556ed7e83a46c97f60e2593299ded" name="aded556ed7e83a46c97f60e2593299ded"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aded556ed7e83a46c97f60e2593299ded">&#9670;&#160;</a></span>countCoords()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TravelInfo::countCoords </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>left_opto</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>right_opto</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Porównuje nowe pomiary ze starymi trzymanymi w atrybucie old_reads. Jeżeli stan obydwu czujników zmienił się na przeciwny (co wiąże się ze zmianą kratki z czarnej na białą lub odwrotnie), to odnotowuje to jako zwiększenie współrzędnej osi X. Na koniec wyświetla dane w oknie edytora.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">left_opto</td><td>- wartość napięcia z lewego transoptora </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">right_opto</td><td>- wartość napięcia z prawego transoptora </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8cpp_source.html#l00082">82</a> pliku <a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_aded556ed7e83a46c97f60e2593299ded_cgraph.png" border="0" usemap="#aclass_travel_info_aded556ed7e83a46c97f60e2593299ded_cgraph" alt=""/></div>
<map name="aclass_travel_info_aded556ed7e83a46c97f60e2593299ded_cgraph" id="aclass_travel_info_aded556ed7e83a46c97f60e2593299ded_cgraph">
<area shape="rect" title="Liczy współrzędne robota na planszy." alt="" coords="5,5,164,31"/>
<area shape="rect" href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526" title="Aktualizuje współrzędne robota w okienku." alt="" coords="212,5,379,31"/>
<area shape="poly" title=" " alt="" coords="164,15,198,15,198,21,164,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_travel_info_aded556ed7e83a46c97f60e2593299ded_icgraph.png" border="0" usemap="#aclass_travel_info_aded556ed7e83a46c97f60e2593299ded_icgraph" alt=""/></div>
<map name="aclass_travel_info_aded556ed7e83a46c97f60e2593299ded_icgraph" id="aclass_travel_info_aded556ed7e83a46c97f60e2593299ded_icgraph">
<area shape="rect" title="Liczy współrzędne robota na planszy." alt="" coords="464,5,623,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a8dbb9fb85faaff85a6a4a648cdeed0b8" name="a8dbb9fb85faaff85a6a4a648cdeed0b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dbb9fb85faaff85a6a4a648cdeed0b8">&#9670;&#160;</a></span>unit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QLabel* TravelInfo::unit</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8hpp_source.html#l00035">35</a> pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>

</div>
</div>
<a id="ad7d91725f7cbe294faa1b042872c4107" name="ad7d91725f7cbe294faa1b042872c4107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7d91725f7cbe294faa1b042872c4107">&#9670;&#160;</a></span>info</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QLineEdit* TravelInfo::info</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8hpp_source.html#l00039">39</a> pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>

</div>
</div>
<a id="a35c206edd5b89c207deb0f4e6ddb5203" name="a35c206edd5b89c207deb0f4e6ddb5203"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35c206edd5b89c207deb0f4e6ddb5203">&#9670;&#160;</a></span>hlayout</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QHBoxLayout* TravelInfo::hlayout</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8hpp_source.html#l00043">43</a> pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>

</div>
</div>
<a id="a708169e783d11f58c26c608e07864743" name="a708169e783d11f58c26c608e07864743"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a708169e783d11f58c26c608e07864743">&#9670;&#160;</a></span>coords</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int TravelInfo::coords[2] = {0, 0}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8hpp_source.html#l00047">47</a> pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>

</div>
</div>
<a id="a76cbff64d22110a5996cccfd1ed4ba1e" name="a76cbff64d22110a5996cccfd1ed4ba1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76cbff64d22110a5996cccfd1ed4ba1e">&#9670;&#160;</a></span>old_reads</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int TravelInfo::old_reads[2]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Potrzebna do prawidłowego aproksymowania aktualnych współrzędnych na podstawie danych z transoptorów. </p>

<p class="definition">Definicja w linii <a class="el" href="_travel_info_8hpp_source.html#l00054">54</a> pliku <a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a></li>
<li><a class="el" href="_travel_info_8cpp_source.html">TravelInfo.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_travel_info.html">TravelInfo</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
